## com.crystaldecisions.sdk.occa.report.data
Class ParameterFieldType

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.ParameterFieldType

public final class ParameterFieldType
extends java.lang.Object

This class contains constants for the parameter field type and methods for using these constants.

Field Summary
`static int` | `_queryParameter` Specifies parameter field type as a query parameter.
`static int` | `_reportParameter` Specifies parameter field type as a report parameter.
`static int` | `_storedProcedureParameter` Specifies parameter field type as a stored procedure parameter.
`static ParameterFieldType` | `queryParameter` Specifies parameter field type as a query parameter.
`static ParameterFieldType` | `reportParameter` Specifies parameter field type as a report parameter.
`static ParameterFieldType` | `storedProcedureParameter` Specifies parameter field type as a stored procedure parameter.

Method Summary
`static ParameterFieldType` | `from_int(int i)` Returns the `ParameterFieldType` object corresponding to the specified `int`.
`static ParameterFieldType` | `from_string(java.lang.String sVal)` Returns the `ParameterFieldType` object corresponding to the specified `String`.
`java.lang.String` | `toString()` Returns the `String` value of this `ParameterFieldType` object.
`int` | `value()` Returns the `int` value of this `ParameterFieldType` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _reportParameter

    public static final int _reportParameter

  Specifies parameter field type as a report parameter.

  See Also:
    Constant Field Values

### _storedProcedureParameter

    public static final int _storedProcedureParameter

  Specifies parameter field type as a stored procedure parameter.

  See Also:
    Constant Field Values

### _queryParameter

    public static final int _queryParameter

  Specifies parameter field type as a query parameter.

  See Also:
    Constant Field Values

### reportParameter

    public static final ParameterFieldType reportParameter

  Specifies parameter field type as a report parameter.

### storedProcedureParameter

    public static final ParameterFieldType storedProcedureParameter

  Specifies parameter field type as a stored procedure parameter.

### queryParameter

    public static final ParameterFieldType queryParameter

  Specifies parameter field type as a query parameter.

Method Detail

### from_int

    public static final ParameterFieldType from_int(int i)

  Returns the `ParameterFieldType` object corresponding to the specified `int`.

  Parameters:
    `i` - The `int` value of the desired `FieldValueType`.
  Returns:
    The `ParameterFieldType` object corresponding to the specified `int`.

### toString

    public java.lang.String toString()

  Returns the `String` value of this `ParameterFieldType` object.

  Returns:
    The `String` value of this `ParameterFieldType` object.

### value

    public int value()

  Returns the `int` value of this `ParameterFieldType` object.

  Returns:
    The `int` value of this `ParameterFieldType` object.

### from_string

    public static final ParameterFieldType from_string(java.lang.String sVal)

  Returns the `ParameterFieldType` object corresponding to the specified `String`.

  Parameters:
    `sVal` - The `String` value of the desired `ParameterFieldType`.
  Returns:
    The `ParameterFieldType` object corresponding to the specified `String`.